Module java.desktop
Package javax.swing.plaf.metal

# Class MetalBorders.InternalFrameBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.InternalFrameBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  MetalBorders

    public static class MetalBorders.InternalFrameBorder
    extends AbstractBorder
    implements UIResource

The class represents the border of a `JInternalFrame`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalFrameBorder()` |

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InternalFrameBorder

public InternalFrameBorder()